Description

Hi,

| sometimes run into weird problems with my site, and when trying to reproduce it usually works properly. | can at least reproduce
some of the effects with the http://www.webtoolkit.eu/wt page. | think they might all be effects of the same underlying problem. It all
comes down to not properly handling click events.

The effects that | see are:

- The URL in the browser doesn't match the URL I'm looking at. That is, the URL for the link | clicked is displayed in the browser
while the page still shows the content of the old URL. Usually clicking the URL | want to go to again fixes it, sometimes it doesn't.

e While | normally don't see a "?wtd="in the URL in the browser, | sometimes do see it.
| think the problem is that the whole page isn't properly rendered yet, or that it's still bootstrapping or something.

As far as | know with the progressive bootstrap mode the URLs first get written with the "?wtd=" part in the html and then ajax
rewrites the URLs without them. I think | click the link before ajax was able to rewrite the URLs, so | end up going to a link with it.

| think the first issue is similar and that there is confusion about what the browser has in the DOM and what Wt thinks is in it, and Wt
then tries to do find objects that don't exist, or thinks it already changed something but didn't.

The easiest way to reproduce this is loading the page and clicking a link as fast as possible. It also helps if the page is slow to load,
because of images, being on a slow link, or something similar.

Kurt

History

#1 - 09/03/2012 07:55 PM - Wim Dumon
Hello Kurt,

Do you also have this issue when you turn off progressive bootstrap in wt_config.xml?
Wim.

#2 - 09/03/2012 08:47 PM - Kurt Roeckx

Wim Dumon wrote:

Do you also have this issue when you turn off progressive bootstrap in wt_config.xml?

| can perfectly reproduce it after changing it to false.
Kurt
#3 - 09/05/2012 11:47 PM - Kurt Roeckx
Kurt Roeckx wrote:
Wim Dumon wrote:
> Do you also have this issue when you turn off progressive bootstrap in wt_config.xml?

| can perfectly reproduce it after changing it to false.
| could only reproduce the first thing after disabling it, not the second.
Kurt

#4 - 09/30/2012 02:10 PM - Kurt Roeckx

| saw that you did a commit among other things says to fix a "progressive bootstrap regression”. Is this related? And what part of the commit would be
the fix?

#5 - 10/02/2012 09:24 AM - Koen Deforche

- Status changed from New to Feedback

- Assignee set to Koen Deforche

- Target version set to 3.2.3

Hey Kurt,

Yes this could be solving the problem. It is the part where the CLICK_SIGNAL is changed to M_CLICK_SIGNAL.
Regards,

koen

#6 - 10/02/2012 06:37 PM - Kurt Roeckx

Koen Deforche wrote:

Yes this could be solving the problem. It is the part where the CLICK_SIGNAL is changed to M_CLICK_SIGNAL.

I don't seem to have M_CLICK_SIGNAL vyet, still at 3.2.1. | will later look in testing this. Or do you have a site running | can test this on?
Kurt

#7 - 11/01/2012 01:43 PM - Koen Deforche

- Status changed from Feedback to InProgress

- Target version changed from 3.2.3 to 3.3.0

Hey,

| can indeed confirm the progressive bootstrap problem.

Regards,

koen

#8 - 01/10/2013 06:41 AM - Koen Deforche

- Status changed from InProgress to Resolved

#9 - 02/13/2013 07:13 AM - Koen Deforche

- Status changed from Resolved to Closed
